/* ||RESET */
*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	align-items: center;
	display: flex;
	font-family: "Inter", sans-serif;
	line-height: 1.5;
	justify-content: center;
	min-height: 100vh;
	min-height: 100dvh;
}

input, button {
	font-family: inherit;
	-webkit-tap-highlight-color: transparent;
}

input:focus-visible {
	outline: 2px solid #ffffff;
	outline-offset: 0.15rem;
}

/* ||CALCULATOR BOX */
.box {
	background-color: #101828;
	border-radius: 10px;
	display: flex;
	flex-direction: column;
	padding: 1.5rem;
	max-width: 25rem;
	margin-inline: 1rem;
	/* overflow: auto; */
}

/* ||SCREEN */
.screen {
	margin-bottom: 2rem;
}

.preview {
	background-color: #1e2939;
	border: none;
	color: #ffffff;
	font-size: 3rem;
	width: 100%;
	padding: 1rem;
	border-radius: 10px;
	appearance: none;
	text-align: right;
}

/* ||BUTTONS */
.line {
	display: flex;
	justify-content: center;
	gap: 0.75rem;
	width: 100%;
}

.line:not(:last-child) {
	margin-bottom: 0.75rem;
}

.button {
	flex-basis: 4.38rem;
	height: 4.06rem;
	border-radius: 1rem;
	cursor: pointer;
	font-size: 1.25rem;
	transition: all 0.2s ease-in-out;
	border: 2px solid #968c8c;
}

.backspace {
	background: url("backspace-icon/backspace-black.png") no-repeat center / 50%, white;
}

.button:active {
	transform: scale(0.9);
}

@media (hover: hover) {
	.button:hover {
		background-color: #dbb4b400;
		color: #ffffff;
	}

	.backspace:hover {
		background: url("backspace-icon/backspace-white.png") no-repeat center / 50%;
	}
}

@media (orientation: landscape) {
	.box {
		margin-block: 1rem;
	}
}
